> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-skin-analysis-3-0/lines/eye-lines.md).

# Eye Lines

What the Eye Lines parameter measures across crow's feet and under-eye lines, and how to read the scores and grades it returns.

## About Parameter

Eye lines is an overall metric representing both crow's feet and under eye lines.

## Features

1. Works with frontal and side facial images
2. Evaluates overall severity (grade) and score of lines
3. Separates and segments deep and fine lines

## Output

1. Grade from 1 to 5
2. Score from 1 to 100
3. Vector mask for detected features.

## Scores & Grades Description

Severity assessment based on the presence and length of fine and deep lines

<table><thead><tr><th width="119.73828125">Score value</th><th width="120.359375">Grade value</th><th width="360.046875">Description</th><th>Tags</th></tr></thead><tbody><tr><td>100-90</td><td>1</td><td>Subtle signs of fine lines</td><td>Great</td></tr><tr><td>89-80</td><td>2</td><td>Multiple fine lines or a few deep lines</td><td>Good</td></tr><tr><td>50-79</td><td>3</td><td>Presence of both deep and fine lines</td><td>Average</td></tr><tr><td>30-49</td><td>4</td><td>Presence of severe deep lines</td><td>Poor</td></tr><tr><td>&#x3C;30</td><td>5</td><td>Presence of severe deep lines</td><td>Poor</td></tr></tbody></table>

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Eye Lines Parameter Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-skin-analysis-3.0/lines/eye-lines.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/face-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Face Skin Analysis 3.0 on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-skin-analysis-3-0/lines/eye-lines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
